com.ibm.openpages.api.workflow

## Interface IWFIfElseEval

- All Superinterfaces:
    IWFEvalUnit

      public interface IWFIfElseEval
      extends IWFEvalUnit

  Interface that represents if-else evaluation in the context of process instance. The condition unit is evaluated first, and when the condition is met, the 'pass' evaluation unit is evaluated and its value is returned. Otherwise the 'fail' evaluation unit is evaluated and its value is returned. You can next the if-else evaluation to the 'pass' or 'fail' unit, to define complex conditional evaluation.
  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IWFConditionEval` | `getCondition()` Returns the condition evaluation unit
    `IWFEvalUnit` | `getFail()` Returns the evaluation unit that is executed when the condition is NOT met
    `IWFEvalUnit` | `getPass()` Returns the evaluation unit that is executed when the condition is met
    `void` | `setCondition(IWFConditionEval condition)` Assigns the condition evaluation unit
    `void` | `setFail(IWFEvalUnit fail)` Assigns the evaluation unit that is executed when the condition is NOT met
    `void` | `setPass(IWFEvalUnit pass)` Assigns the evaluation unit that is executed when the condition is met

    - ### Methods inherited from interface com.ibm.openpages.api.workflow.IWFEvalUnit

      `getEvalType`

- - ### Method Detail

    - #### getCondition

          IWFConditionEval getCondition()

      Returns the condition evaluation unit
      Returns:

    - #### setCondition

          void setCondition(IWFConditionEval condition)

      Assigns the condition evaluation unit
      Parameters:
        `condition` -

    - #### getPass

          IWFEvalUnit getPass()

      Returns the evaluation unit that is executed when the condition is met
      Returns:

    - #### setPass

          void setPass(IWFEvalUnit pass)

      Assigns the evaluation unit that is executed when the condition is met
      Parameters:
        `pass` -

    - #### getFail

          IWFEvalUnit getFail()

      Returns the evaluation unit that is executed when the condition is NOT met
      Returns:

    - #### setFail

          void setFail(IWFEvalUnit fail)

      Assigns the evaluation unit that is executed when the condition is NOT met
      Parameters:
        `fail` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.